Bug 118082 - local variable used before set
Summary: local variable used before set
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gthumb   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-11 20:07 UTC by d.binderman
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-04 16:38:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2004-03-11 20:07:33 UTC
Description of problem:

I just tried to compile Fedora Core2 Test1 package gthumb-2.2.0-1

The compiler said

dir-list.c(252): remark #592: variable "dir_list" is used before its
value is set

The source code is

        DirList   *dir_list;
        GList     *new_dir_list = NULL;
        GList     *new_file_list = NULL;
        GList     *filtered;

        if (pld == NULL) {
                if (dir_list->done_func)


Suggest init dir_list before first use.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Marco Pesenti Gritti 2004-11-04 16:38:32 UTC
This is fixed in recent versions.


Note You need to log in before you can comment on or make changes to this bug.